# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define fedora 21
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		gausssum
Version:	2.2.6
Release:	alt1_4
Summary:	A GUI application for analysis of output of quantum computations
Group:		Engineering
License:	GPLv2+
URL:		http://gausssum.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/GaussSum-%{version}.tar.gz
Source1:	gausssum.desktop
# Patch to use system python-cclib instead of own copy
Patch0:		gausssum-cclib.patch
BuildArch:	noarch

# For converting .ico into .png
BuildRequires:	ImageMagick
BuildRequires:	desktop-file-utils
# We need this for python_sitelib to make sense
BuildRequires:	python-devel

Requires:	gnuplot
Source44: import.info

%description
GaussSum is a GUI application that can analyze the output of ADF, GAMESS (US),
GAMESS-UK, Gaussian, Jaguar and PC GAMESS to extract and calculate useful
information. This includes the progress of the SCF cycles, geometry
optimization, UV-Vis/IR/Raman spectra, MO levels, MO contributions and more.

%prep
%setup -q -n GaussSum-%{version}
%patch0 -p1 -b .cclib

# Change location of documentation
sed 's|os\.path\.join(installlocation,"\.\.","Docs","index\.html")|"%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}/index.html"|g' \
 gausssum/gausssumgui.py > gausssum/gausssumgui.py.new && \
touch -r gausssum/gausssumgui.py gausssum/gausssumgui.py.new && \
mv gausssum/gausssumgui.py.new gausssum/gausssumgui.py

# Fix gnuplot location
sed 's|os.path.join(installlocation,"gnuplot400","bin","wgnuplot.exe")|"%{_bindir}/gnuplot"|g' \
  gausssum/gausssumgui.py > gausssum/gausssumgui.py.new && \
touch -r gausssum/gausssumgui.py gausssum/gausssumgui.py.new && \
mv gausssum/gausssumgui.py.new gausssum/gausssumgui.py


# Fix end of line encodings
for file in Docs/style.css gausssum/*.py gausssum/cclib/*.py; do
 sed -e 's|\r||g' $file > $file.new && \
 touch -r $file $file.new && \
 mv $file.new $file
done

# Fix attributes
find gausssum/ -name "*.py" -exec chmod 644 {} \;
chmod 644 Docs/mesh.gif Docs/style.css

# Convert icon into png
convert GaussSum.ico GaussSum.png

# Remove integrated cclib
rm -rf gausssum/cclib

%build

%install
mkdir -p %{buildroot}%{python_sitelibdir_noarch}
# Install python library
cp -a %{name} %{buildroot}%{python_sitelibdir_noarch}
# Install python executable itself
install -D -p -m 755 GaussSum.py %{buildroot}%{_bindir}/GaussSum.py
# Install icon
install -D -p -m 644 GaussSum.png %{buildroot}%{_datadir}/pixmaps/GaussSum.png
# Install desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%files
%doc Docs/*
%{_bindir}/GaussSum.py
%{python_sitelibdir_noarch}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/GaussSum.png
# Older rpm versions generate compiled Python objects in bindir
%if 0%{?fedora} < 11
%exclude %{_bindir}/GaussSum.pyc
%exclude %{_bindir}/GaussSum.pyo
%endif

%changelog
* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 2.2.6-alt1_4
- update to new release by fcimport

* Tue Dec 24 2013 Igor Vlasenko <viy@altlinux.ru> 2.2.6-alt1_3
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 2.2.6-alt1_2
- update to new release by fcimport

* Wed Feb 20 2013 Igor Vlasenko <viy@altlinux.ru> 2.2.6-alt1_1
- update to new release by fcimport

* Fri Feb 08 2013 Igor Vlasenko <viy@altlinux.ru> 2.2.5-alt1_4
- update to new release by fcimport

* Wed Jan 09 2013 Igor Vlasenko <viy@altlinux.ru> 2.2.5-alt1_3
- initial fc import

